Skip to main content
`Ctrl`+`K`

# VecNestSetSubVecs

Sets the component vectors at the specified indices in a nest vector.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecNestSetSubVecs(Vec X, PetscInt N, PetscInt idxm[], Vec sx[])

Not Collective

## Input Parameters

- X - nest vector

- N - number of component vecs in `sx`

- idxm - indices of component vectors that are to be replaced

- sx - array of vectors

## Notes

The components in the vector array `sx` do not have to be of the same size as corresponding components in `X`. The user can also free the array `sx` after the call.

The nest vector `X` keeps references to `sx` vectors rather than creating duplicates.

## See Also

`VECNEST`, Vectors and Parallel Data, `Vec`, `VecType`, `VecNestGetSize()`, `VecNestGetSubVec()`

## Level

developer

## Location

src/vec/vec/impls/nest/vecnest.c

## Implementations

VecNestSetSubVecs_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages